MODEL
MODEL_VERSION "v1998.8";
DESIGN "A2_SD_TOP";

/* port names and type */
INPUT S:PIN111 = cpu_addr<7>;
INPUT S:PIN10 = cpu_addr<6>;
INPUT S:PIN118 = cpu_addr<5>;
INPUT S:PIN105 = cpu_addr<4>;
INPUT S:PIN124 = cpu_addr<3>;
INPUT S:PIN100 = cpu_addr<2>;
INPUT S:PIN17 = cpu_addr<1>;
INPUT S:PIN138 = cpu_addr<0>;
INPUT S:PIN143 = n_reset;
INPUT S:PIN128 = n_iostrobe;
INPUT S:PIN20 = n_iosel;
INPUT S:PIN60 = n_devsel;
INPUT S:PIN132 = clk_ph0;
INPUT S:PIN30 = clk_7m;
INPUT S:PIN107 = cpu_addr<9>;
INPUT S:PIN115 = cpu_addr<8>;
INPUT S:PIN112 = cpu_addr<10>;
INPUT S:PIN54 = r_nw;
INPUT S:PIN86 = jmp_we;
TRIOUT S:PIN43 = cpu_data<0>;
TRIOUT S:PIN34 = cpu_data<1>;
TRIOUT S:PIN68 = cpu_data<2>;
TRIOUT S:PIN137 = cpu_data<3>;
OUTPUT S:PIN91 = spi_n_sel<3>;
OUTPUT S:PIN71 = spi_n_sel<2>;
OUTPUT S:PIN78 = spi_n_sel<1>;
OUTPUT S:PIN94 = spi_n_sel<0>;
OUTPUT S:PIN22 = data_en;
OUTPUT S:PIN103 = spi_mosi;
OUTPUT S:PIN16 = ROM_n_ce;
OUTPUT S:PIN126 = ROM_n_oe;
OUTPUT S:PIN52 = ROM_n_we;
TRIOUT S:PIN106 = n_irq;
TRIOUT S:PIN81 = cpu_data<7>;
TRIOUT S:PIN4 = cpu_data<6>;
TRIOUT S:PIN130 = cpu_data<5>;
TRIOUT S:PIN12 = cpu_data<4>;
OUTPUT S:PIN49 = spi_sclk;

/* timing arc definitions */
n_iosel_ROM_n_ce_delay: DELAY n_iosel ROM_n_ce;
n_iostrobe_ROM_n_ce_delay: DELAY n_iostrobe ROM_n_ce;
r_nw_ROM_n_oe_delay: DELAY r_nw ROM_n_oe;
jmp_we_ROM_n_we_delay: DELAY jmp_we ROM_n_we;
r_nw_ROM_n_we_delay: DELAY r_nw ROM_n_we;
n_iosel_data_en_delay: DELAY n_iosel data_en;
n_devsel_data_en_delay: DELAY n_devsel data_en;
n_iostrobe_data_en_delay: DELAY n_iostrobe data_en;
clk_7m_spi_n_sel<3>_delay: DELAY clk_7m spi_n_sel<3>;
clk_7m_spi_n_sel<2>_delay: DELAY clk_7m spi_n_sel<2>;
clk_7m_spi_n_sel<1>_delay: DELAY clk_7m spi_n_sel<1>;
clk_7m_spi_n_sel<0>_delay: DELAY clk_7m spi_n_sel<0>;
clk_7m_spi_mosi_delay: DELAY clk_7m spi_mosi;

/* timing check arc definitions */
clk_ph0_clk_7m_setup: SETUP(POSEDGE) clk_ph0 clk_7m;
clk_ph0_clk_7m_hold: HOLD(POSEDGE) clk_ph0 clk_7m;

ENDMODEL
