--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 14.7
--  \   \         Application : sch2hdl
--  /   /         Filename : EEPROM_n_WE.vhf
-- /___/   /\     Timestamp : 11/03/2018 13:43:31
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl D:/Projects/Xilinx/A2_SD/src/EEPROM_n_WE.vhf -w D:/Projects/Xilinx/A2_SD/SUBMODULES/EEPROM_n_WE.sch
--Design Name: EEPROM_n_WE
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity EEPROM_n_WE is
   port ( crd_WE      : in    std_logic; 
          r_nw        : in    std_logic; 
          EEPROM_n_WE : out   std_logic);
end EEPROM_n_WE;

architecture BEHAVIORAL of EEPROM_n_WE is
   attribute BOX_TYPE   : string ;
   component NAND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2B1 : component is "BLACK_BOX";
   
begin
   XLXI_1 : NAND2B1
      port map (I0=>r_nw,
                I1=>crd_WE,
                O=>EEPROM_n_WE);
   
end BEHAVIORAL;


