--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 14.7
--  \   \         Application : sch2hdl
--  /   /         Filename : clk_gen_phi2.vhf
-- /___/   /\     Timestamp : 11/03/2018 13:43:30
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl D:/Projects/Xilinx/A2_SD/src/clk_gen_phi2.vhf -w D:/Projects/Xilinx/A2_SD/SUBMODULES/clk_gen_phi2.sch
--Design Name: clk_gen_phi2
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FD_MXILINX_clk_gen_phi2 is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_clk_gen_phi2;

architecture BEHAVIORAL of FD_MXILINX_clk_gen_phi2 is
   attribute BOX_TYPE   : string ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>XLXN_4,
                D=>D,
                PRE=>XLXN_4,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDRS_MXILINX_clk_gen_phi2 is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          R : in    std_logic; 
          S : in    std_logic; 
          Q : out   std_logic);
end FDRS_MXILINX_clk_gen_phi2;

architecture BEHAVIORAL of FDRS_MXILINX_clk_gen_phi2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal XLXN_6 : std_logic;
   signal XLXN_7 : std_logic;
   signal XLXN_8 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component FD_MXILINX_clk_gen_phi2
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_0";
begin
   I_36_112 : AND2B1
      port map (I0=>R,
                I1=>S,
                O=>XLXN_6);
   
   I_36_113 : AND2B1
      port map (I0=>R,
                I1=>D,
                O=>XLXN_8);
   
   I_36_120 : OR2
      port map (I0=>XLXN_6,
                I1=>XLXN_8,
                O=>XLXN_7);
   
   U0 : FD_MXILINX_clk_gen_phi2
   generic map( INIT => INIT)
      port map (C=>C,
                D=>XLXN_7,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity clk_gen_phi2 is
   port ( clk_phi0 : in    std_logic; 
          clk_7m   : in    std_logic; 
          clk_phi2 : out   std_logic);
end clk_gen_phi2;

architecture BEHAVIORAL of clk_gen_phi2 is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_2   : std_logic;
   signal XLXN_3   : std_logic;
   signal XLXN_5   : std_logic;
   component FDRS_MXILINX_clk_gen_phi2
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             R : in    std_logic; 
             S : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_4 : label is "XLXI_4_2";
   attribute HU_SET of XLXI_5 : label is "XLXI_5_1";
begin
   XLXI_4 : FDRS_MXILINX_clk_gen_phi2
      port map (C=>clk_7m,
                D=>clk_phi0,
                R=>clk_phi0,
                S=>XLXN_2,
                Q=>XLXN_5);
   
   XLXI_5 : FDRS_MXILINX_clk_gen_phi2
      port map (C=>clk_7m,
                D=>XLXN_5,
                R=>clk_phi0,
                S=>XLXN_3,
                Q=>clk_phi2);
   
   XLXI_6 : VCC
      port map (P=>XLXN_2);
   
   XLXI_7 : VCC
      port map (P=>XLXN_3);
   
end BEHAVIORAL;


